#!/bin/tcsh 
#
# A script to install the files etc into the correct directory,
# changing their suffixes so that it matches the PSR standards (ie. as
# expected by the makefiles and so on).

set PSRDEST="/pulsar/psr/pvo"

echo Copying to $PSRDEST

rm -rf $PSRDEST/Makefile $PSRDEST/*.C $PSRDEST/*.hh

cp Makefile.psr           $PSRDEST/Makefile
cp src/pvoconvert.cc      $PSRDEST/pvoconvert.C
cp src/pvosummary.cc      $PSRDEST/pvosummary.C
cp src/pvoconesearch.cc   $PSRDEST/pvoconesearch.C
cp src/pvo-header.cc      $PSRDEST/pvo-header.C
cp src/pvo-block.cc       $PSRDEST/pvo-block.C
cp src/pvo-FITS.cc        $PSRDEST/pvo-FITS.C
cp src/pvo-FITS-fileIO.cc $PSRDEST/pvo-FITS-fileIO.C
cp src/pvo-utils.cc       $PSRDEST/pvo-utils.C
cp src/*.hh               $PSRDEST
